using System;
using System.Globalization;

internal class Program
 {
    static void Main(string[] args)
    {
        long a = long.Parse(Console.ReadLine());
        long b = long.Parse(Console.ReadLine());

        string zavrseno ="";
        long a1;
        long b1;

        while ((a/10>=0 || b/10>=0) && a!=0 && b!=0)
        {
            a1 = a % 10;
            b1 = b % 10;
            
            if (a1 == b1)
            {


                zavrseno = Convert.ToString(a1) + zavrseno;
            }
           

                zavrseno = Convert.ToString(Math.Max(a1, b1)) + zavrseno;
            

            a /= 10;
            b /= 10;
        }

        if (a > 0) zavrseno = a + zavrseno;
        if(b>0) zavrseno=b + zavrseno;

        Console.WriteLine(Convert.ToInt64(zavrseno));
    }
 }